blur_glass 0.0.2 copy "blur_glass: ^0.0.2" to clipboard
blur_glass: ^0.0.2 copied to clipboard

A simple blur glass widget easy to use in Flutter.

See #

Blur Glass - Google Chrome.png

pub #

https://pub.dev/packages/blur_glass

use #

dependencies:
    blur_glass: ^lastest_version
    BlurGlass(
        margin: EdgeInsets.all(5.0),
        padding: EdgeInsets.all(5.0),
        child: Row(
                children: [
                    Icon(Icons.star),
                    Icon(Icons.list),
                    Icon(Icons.zoom_in),
                ],
            )
    )

Function creator #

  BlurGlass({Key? key,
             required this.child,
             this.margin,
             this.padding,
             this.color,
             this.outBorderRadius = 20.0, //
             this.inBorderRadius = 30.0,  //
             this.filterX = 10.0,         //The degree of blurriness
             this.filterY = 10.0          //模糊程度
             }) : super(key: key);

Github:shAdow-XJY/blur_glass: A simple blur glass widget easy to use in Flutter. (github.com)

Gitee:shAdow-XJY/blur_glass (gitee.com)

2
likes
130
pub points
30%
popularity

Publisher

unverified uploader

A simple blur glass widget easy to use in Flutter.

Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD-3-Clause (LICENSE)

Dependencies

flutter

More

Packages that depend on blur_glass